オーナー権限が必要

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは403 Forbiddenを返します。そのtypeはhttps://lingo.dev/docs/api/errors/owner-requiredです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。

他のユーザーにオーナーロールを付与できるのは、組織<organizationId>のオーナーだけです。この組織のオーナーに依頼してください。

フィールド#

レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring
action"grantOwner" | "revokeOwner" | "manageSso" | "createScimKey" | "changeScimKeyRole" | "revokeScimKey"

例#

json
{
  "detail": "Only an Owner of organization <organizationId> can give someone the Owner role. Ask an Owner of this organization to do it.",
  "organizationId": "<organizationId>",
  "action": "grantOwner",
  "type": "https://lingo.dev/docs/api/errors/owner-required",
  "status": 403,
  "title": "Owner required"
}

このエラーを返すエンドポイント#

  • DELETE /v2/service-api-keys/{id}
  • PATCH /v2/organizations/{orgId}/members/{userId}
  • PATCH /v2/organizations/{orgId}/sso
  • PATCH /v2/service-api-keys/{id}
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • POST /v2/organizations/{orgId}/sso/disconnect
  • PUT /v2/organizations/{orgId}/sso